// Set the date we're counting down to
var countDownDate = new Date("Sep 2, 2019 8:00:00").getTime();

// Update the count down every 1 second
var x = setInterval(function () {

    // Get todays date and time
    var now = new Date().getTime();

    // Find the distance between now an the count down date
    var distance = countDownDate - now;

    // Time calculations for days, hours, minutes and seconds
    var days = Math.floor(distance / (1000 * 60 * 60 * 24));
    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((distance % (1000 * 60)) / 1000);

    // Output the result in an element with id="demo"
    document.getElementById("timer").innerHTML = "<strong>" + days + "</strong> jours, <strong>" + hours + "</strong> heures, <strong>"
        + minutes + "</strong> minutes et <strong>" + seconds + "</strong> secondes avant de quitter les moldus";

    // If the count down is over, write some text
    if (distance < 0) {
        clearInterval(x);
        document.getElementById("timer").innerHTML = '<strong>Allé on y va, ze parti !</strong>';
    }
}, 1000);