<?php
ob_start(); // Start reading html
?>
<h1>Le Plan</h1>
<p>
    Voici le plan de ton nouveau campus, que tu vas connaître par cœur en quelques jours (fond de carte issu du site
    <a href="https://www.openstreetmap.org/#map=17/43.57103/1.46591">Open Street Map</a>).
</p>
<p>
    <strong>Clique sur un bâtiment pour voir les infos.</strong>
</p>
<p>
    Une petite note sur le numéro des salles : sur ton edt, c'est marqué le nom du bâtiment suivi du numéro de la
    salle (le STPI est aussi appelé bâtiment des Amphis). Le chiffre des centaines indique l'étage. Donc si tu vois
    marqué "Amphi 6", c'est dans le STPI au rez-de-chaussée, et "GC 312" c'est dans le GC au 3ème (j'espère t'auras
    pas à aller aussi loin).
</p>
<div id="map">
    <?php echo file_get_contents("assets/images/map.svg"); ?>
</div>

<?php
$pageContent = ob_get_clean(); // Store html content in variable
$pageTitle = "Plan";
$pageScripts = "<script type=\"text/javascript\" src=\"assets/js/map.js\"></script>";
include("includes/template.php"); // Display template with variable content
?>
