<?
ob_start(); // Start reading html
?>
<h1>Le Planning</h1>
<p>Voilà le planning de ta semaine. Les horaires sont approximatifs.</p>
<p><strong>Clique sur une activité pour avoir plus d'informations.</strong></p>
<div id="table-wrapper">
    <table cellspacing="10" id="table-planning">
        <tr>
            <th>Horaires</th>
            <th>Lundi</th>
            <th>Mardi</th>
            <th>Mercredi</th>
            <th>Jeudi</th>
            <th>Vendredi</th>
            <th>Samedi</th>
            <th>Dimanche</th>
        </tr>
        <tr>
            <td class="horaires">8h</td>
            <td rowspan="2" class="event discours">Présentation INSA</td>
            <td rowspan="4" class="event fabcamp">FabCamp</td>
            <td rowspan="4" class="event fabcamp">FabCamp</td>
            <td rowspan="5" class="event escape_game">Ins'cape Game</td>
            <td rowspan="11" class="event com_walle">COM Wall-E</td>
            <td rowspan="17" class="event wini">WINI</td>
            <td rowspan="17" class="event wini">WINI</td>
        </tr>
        <tr>
            <td class="horaires">9h</td>
        </tr>
        <tr>
            <td class="horaires">10h</td>
            <td rowspan="2" class="event remise_niveau">Remise à niveau</td>
        </tr>
        <tr>
            <td class="horaires">11h</td>
        </tr>
        <tr>
            <td class="horaires">12h</td>
            <td rowspan="1" class="event barbecue">Barbecue</td>
            <td rowspan="1" class="event barbecue">Barbecue</td>
            <td rowspan="1" class="event barbecue">Barbecue</td>
        </tr>
        <tr>
            <td class="horaires">13h</td>
            <td rowspan="6" class="event fabcamp">FabCamp</td>
            <td rowspan="6" class="event fabcamp">FabCamp</td>
            <td rowspan="6" class="event fabcamp">FabCamp</td>
            <td rowspan="6" class="event com_ville">COM ISS</td>
        </tr>
        <tr>
            <td class="horaires">14h</td>
        </tr>
        <tr>
            <td class="horaires">15h</td>
        </tr>
        <tr>
            <td class="horaires">16h</td>
        </tr>
        <tr>
            <td class="horaires">17h</td>
        </tr>
        <tr>
            <td class="horaires">18h</td>
        </tr>
        <tr>
            <td class="horaires">19h</td>
            <td rowspan="1" class="event banquet">Banquet</td>
            <td rowspan="1" class="event banquet">Banquet</td>
            <td rowspan="1" class="event banquet">Banquet</td>
            <td rowspan="1" class="event banquet">Banquet</td>
            <td rowspan="1" class="event banquet">Banquet</td>
        </tr>
        <tr>
            <td class="horaires">20h</td>
            <td rowspan="3" class="event soir">Space Meeting</td>
            <td rowspan="3" class="event soir">Soirée des Clubs et Spécifiques</td>
            <td rowspan="3" class="event soir">Soirée Jeune Padawan</td>
            <td rowspan="3" class="event soir">2001 : L'Odyssée du PK</td>
            <td rowspan="4" class="event soir">Concert</td>
        </tr>
        <tr>
            <td class="horaires">21h</td>
        </tr>
        <tr>
            <td class="horaires">22h</td>
        </tr>
        <tr>
            <td class="horaires">23h</td>
        </tr>
        <tr>
            <td class="horaires">00h</td>
        </tr>
    </table>
</div>
<h1 id="info-box-top">Informations</h1>
<div id="infoBox">
    <p>Clique sur un évenement pour afficher ses informations</p>
</div>

<link rel="stylesheet" type="text/css" media="screen" href="assets/css/planningEvents.css">

<?php
$pageContent = ob_get_clean(); // Store html content in variable
$pageTitle = "Planning";
$pageScripts = "<script src=\"assets/js/planning.js\"></script>";
include("includes/template.php"); // Display template with variable content
?>
